HTTPClientAuth.h File Reference
`#include "HTTPClientWrapper.h"`

Go to the source code of this file.

## Classes

struct | MD5Context

## Macros

#define | HASHLEN 16
#define | HASHHEXLEN 32
#define | IN
#define | OUT
#define | DECODE64(c)
#define | BAD -1

## Typedefs

typedef char | HASH[HASHLEN]
typedef char | HASHHEX[HASHHEXLEN+1]
typedef unsigned long | uint32
typedef struct MD5Context | MD5_CTX

## Functions

void | HTTPBase64Encoder (unsigned char *out, const unsigned char *in, int inlen)
int | HTTPBase64Decoder (char *out, const char *in)
void | HTTPDigestGenerateCNonce (char *outbuff)
void | HTTPDigestCalcHA1 (IN int nAlg, IN char *pszUserName, IN char *pszRealm, IN int nRealmLength, IN char *pszPassword, IN char *pszNonce, IN int nNonceLength, IN char *pszCNonce, OUT HASHHEX SessionKey)
void | HTTPDigestCalcResponse (IN HASHHEX HA1, IN char *pszNonce, IN int nNonceLength, IN char *pszNonceCount, IN char *pszCNonce, IN char *pszQop, IN int nQopLength, IN char *pszMethod, IN char *pszDigestUri, IN int nDigestUriLebgth, IN HASHHEX HEntity, OUT HASHHEX Response)
void | HTTPMD5Init (struct MD5Context *context)
void | HTTPMD5Update (struct MD5Context *context, unsigned char const *buf, unsigned len)
void | HTTPMD5Final (unsigned char digest[16], struct MD5Context *context)
void | HTTPMD5Transform (uint32 buf[4], uint32 const in[16])

## Macro Definition Documentation

## BAD

#define BAD -1

## DECODE64

#define DECODE64 | ( |  | c | ) |

Value:
(isascii(c) ? base64val[c] : BAD)
BAD
#define BAD
Definition HTTPClientAuth.h:19

## HASHHEXLEN

#define HASHHEXLEN 32

## HASHLEN

#define HASHLEN 16

## IN

#define IN

Referenced by HTTPDigestCalcHA1(), and HTTPDigestCalcResponse().

## OUT

#define OUT

Referenced by HTTPDigestCalcHA1(), and HTTPDigestCalcResponse().

## Typedef Documentation

## HASH

typedef char HASH[HASHLEN]

## HASHHEX

typedef char HASHHEX[HASHHEXLEN+1]

## MD5_CTX

typedef struct MD5Context MD5_CTX

## uint32

typedef unsigned long uint32

## Function Documentation

## HTTPBase64Decoder()

int HTTPBase64Decoder | ( | char * | out,
|  | const char * | in )

## HTTPBase64Encoder()

void HTTPBase64Encoder | ( | unsigned char * | out,
|  | const unsigned char * | in,
|  | int | inlen )

## HTTPDigestCalcHA1()

void HTTPDigestCalcHA1 | ( | IN int | nAlg,
|  | IN char * | pszUserName,
|  | IN char * | pszRealm,
|  | IN int | nRealmLength,
|  | IN char * | pszPassword,
|  | IN char * | pszNonce,
|  | IN int | nNonceLength,
|  | IN char * | pszCNonce,
|  | OUT HASHHEX | SessionKey )

References IN, and OUT.

## HTTPDigestCalcResponse()

void HTTPDigestCalcResponse | ( | IN HASHHEX | HA1,
|  | IN char * | pszNonce,
|  | IN int | nNonceLength,
|  | IN char * | pszNonceCount,
|  | IN char * | pszCNonce,
|  | IN char * | pszQop,
|  | IN int | nQopLength,
|  | IN char * | pszMethod,
|  | IN char * | pszDigestUri,
|  | IN int | nDigestUriLebgth,
|  | IN HASHHEX | HEntity,
|  | OUT HASHHEX | Response )

References IN, and OUT.

## HTTPDigestGenerateCNonce()

void HTTPDigestGenerateCNonce | ( | char * | outbuff | ) |

## HTTPMD5Final()

void HTTPMD5Final | ( | unsigned char | digest[16],
|  | struct MD5Context * | context )

## HTTPMD5Init()

void HTTPMD5Init | ( | struct MD5Context * | context | ) |

## HTTPMD5Transform()

void HTTPMD5Transform | ( | uint32 | buf[4],
|  | uint32 const | in[16] )

## HTTPMD5Update()

void HTTPMD5Update | ( | struct MD5Context * | context,
|  | unsigned char const * | buf,
|  | unsigned | len )